const _Http = getApp().globalData.http;
const MFT = require("../../utils/matchingFeilType");
Page({

    /**
     * 页面的初始数据
     */
    data: {
        active: 0,
        detailData: {},
        currentVideo: {},
    },
    tabChange({
        detail
    }) {
        this.setData({
            active: detail.index
        })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        console.log(options)
        if (options.viewData) this.setData({
            viewData: options.viewData
        });
        _Http.basic({
            "classname": "saletool.courseware.courseware",
            "method": "selectDetail",
            "content": {
                "sat_coursewareid": options.id
            }
        }, false).then(res => {
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            let list = MFT.fileList(res.data.attinfos);
            this.setData({
                detailData: res.data,
                flieList: list,
                currentVideo: list.find(v => v.fileType == 'video')
            })
        });
    },

    callBack({
        detail
    }) {
        this.setData({
            currentVideo: detail
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})